Search documentation of Plushie

# Plushie.Test.Screenshot (Plushie v0.7.2)

Copy Markdown View Source

Test helpers for screenshot golden-file assertions.

## Summary

### Types

t()

### Functions

assert_match(screenshot, golden_dir, opts \\ [])
from_response(msg, format \\ :msgpack, backend \\ nil)

See `Plushie.Automation.Screenshot.from_response/3`.

save_png(screenshot, path)

See `Plushie.Automation.Screenshot.save_png/2`.

## Types

# t()

    @type t() :: Plushie.Automation.Screenshot.t()

## Functions

# assert_match(screenshot, golden_dir, opts \\ [])

    @spec assert_match(
      screenshot :: Plushie.Automation.Screenshot.t(),
      golden_dir :: String.t(),
      opts :: keyword()
    ) :: :ok

# from_response(msg, format \\ :msgpack, backend \\ nil)

See `Plushie.Automation.Screenshot.from_response/3`.

# save_png(screenshot, path)

See `Plushie.Automation.Screenshot.save_png/2`.